summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2010-12-11 18:44:57 +0100
committerJim Meyering <meyering@redhat.com>2010-12-11 18:44:57 +0100
commit45ff91af2eeee4f84eff331cbbc5c1a3f4a84248 (patch)
tree4f9533edd1cca896818e87fb8c40ccc6f98a1df7
parentad61335bf832937dd95739c70405db9b61ffda37 (diff)
downloadcoreutils-45ff91af2eeee4f84eff331cbbc5c1a3f4a84248.tar.xz
tests: avoid FP failure when run under valgrind
* tests/misc/printenv: Filter out LD_PRELOAD, as the comment said, not LD_LIBRARY.
-rwxr-xr-xtests/misc/printenv4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/misc/printenv b/tests/misc/printenv
index 4a569173a..c91785ab5 100755
--- a/tests/misc/printenv
+++ b/tests/misc/printenv
@@ -23,8 +23,8 @@ print_ver_ printenv
# printenv as a builtin, so we must invoke it via "env".
# But beware of $_, set by many shells to the last command run.
# Also, filter out LD_PRELOAD, which is set when running under valgrind.
-env | grep -Ev '^(_|LD_LIBRARY=)' > exp || framework_failure
-env -- printenv | grep -Ev '^(_|LD_LIBRARY=)' > out || fail=1
+env | grep -Ev '^(_|LD_PRELOAD=)' > exp || framework_failure
+env -- printenv | grep -Ev '^(_|LD_PRELOAD=)' > out || fail=1
compare exp out || fail=1
# POSIX is clear that environ may, but need not be, sorted.